package com.gic.haoban.manage.api.dto.notify.qdto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 待办表
 *
 * @author fdh
 */
public class PendingTaskQDTO implements Serializable {


    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 关联id 对应task_type
     */
    private String relationId;


    /**
     * 业务id 如果是活动：活动id；话务：ecmid；群发：ecmid；月指标-1
     */
    private String businessId;

    /**
     * NoticeMessageTypeEnum
     * 0-月指标 1-ecm话务任务 ,3群发任务  4活动
     */
    private Integer taskType;

    /**
     * 标题
     */
    private String title;

    /**
     * 描述
     */
    private String description;


    /**
     * 逾期时间
     */
    private Date overdueTime;

    /**
     * 失效时间
     */
    private Date invalidTime;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 执行人id
     */
    private String clerkId;

    public PendingTaskQDTO() {
    }

    /**
     * @param enterpriseId 企业id
     * @param relationId   关联id relation解释
     * @param businessId   业务id  如果是活动：活动id；话务：ecmid；群发：ecmid；月指标-1
     * @param taskType     任务类型
     * @param title        标题
     * @param description  描述
     * @param overdueTime  逾期时间
     * @param invalidTime  失效时间
     * @param storeId      门店id
     * @param clerkId      导购id
     */
    public PendingTaskQDTO(String enterpriseId, String relationId, String businessId, Integer taskType, String title, String description, Date overdueTime, Date invalidTime, String storeId, String clerkId) {
        this.enterpriseId = enterpriseId;
        this.relationId = relationId;
        this.businessId = businessId;
        this.taskType = taskType;
        this.title = title;
        this.description = description;
        this.overdueTime = overdueTime;
        this.invalidTime = invalidTime;
        this.storeId = storeId;
        this.clerkId = clerkId;
    }

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getOverdueTime() {
        return overdueTime;
    }

    public void setOverdueTime(Date overdueTime) {
        this.overdueTime = overdueTime;
    }

    public Date getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}